Results 1 to 2 of 2

Thread: Incorrect Version Game running on V7. 3 instead of V7.6. Cannot Update

  1. #1

    Incorrect Version Game running on V7. 3 instead of V7.6. Cannot Update

    Hello,

    I am trying to play Tabletop Simulator with my friends, but every time I try to join their server or they try to join mine, an error will come up saying that the game version is incorrect. We noticed that in the main menu, the lower right hand corner of their games says v7.6 and mine say v7.3. I tried uninstalling the game and re-installing it as well as rebooting steam, but the version is still coming up as 7.3

  2. #2
    Hey Maur_maur Welcome to the community

    Have you tried verifying the integrity of the game cache ?

    In the steam client, right click on the game in your library list, select properties from the dropdown list, then in the Local files tab select Verify integrity of game cache.

    If everything verifies correctly then you should have the latest patched release on the Steam servers.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •